System Requirements for the RingCentral Service

« Go Back

Article

 
SummaryWhat are the System Requirements for the RingCentral Service?
Details
These are the minimum system requirements for your RingCentral service which includes requirements for the following platforms:

• RingCentral Online Account
RingCentral Mobile App
RingCentral Desktop App 
RingCentral Meetings 
RingCentral Glip
• RingCentral Digital Line (assigned to a Desk phone or RingCentral Desktop App for inbound or outbound calling)
RingCentral Fax 
 

RingCentral Online Account

Supported Operating Systems
• Windows 7 (32 and 64-bit) or later
• Mac OS X with Mac OS 10.7 (Lion) or later

Supported Browsers
 Google Chrome: version 41 or higher.
• Microsoft Internet Explorer: version 11.x, Microsoft Edge
• Mozila Firefox: version 37 or higher.
• Safari: version 7.x or higher.
 
NOTE: Unsupported browsers will be prevented from accessing the RingCentral Online account. For more information, click here.
 

RingCentral Mobile App

iOS: iOS 8.0 or later (iOS 10.0 supported)
Android: Android OS 4.4 and up (Android N supported)

NOTE: For Android M or later, you will need to turn on required App Permissions:
• Contacts (view local contacts)
• Phone (RingOut)
• Microphone (VoIP call)
• Storage (store fax/voicemail/documents/photo)
 
IMPORTANT: As of February 28, 2015, RingCentral no longer supports BlackBerry devices, and new BlackBerry users will not be able to download the RingCentral Mobile App on their phones. 
 

RingCentral for Desktop  

Windows 
• Windows 7 or later operating system
• 2 GHz (32/64-bit) processor
• Minimum of 1 GB of memory
• 300 MB of hard drive space
• Microsoft Outlook 2010 or higher
 
Mac
• Mac OS X 10.8 or later
• Intel processor
• Minimum of 1 GB of memory
• 300 MB of hard drive space
 

RingCentral Meetings  

Meetings for Desktop 
Internet Connection: 600kbps or higher
Peripherals: Webcam, speakers, microphone
Windows: Windows 7 or later version
Mac: Mac OS X with MacOS 10.6 (Snow Leopard) or later version

Meetings Mobile App
Android: Android version 4.4 and up
iOS: iOS 7.0 or later

For more information on your Meetings app system requirements, go to RingCentral Meetings System Requirements.
 

RingCentral Glip 

Glip Mobile
Android: Android version 4.4 and up
iOS: iOS 10.0 or later

Glip Desktop
Desktop: Windows 7 or higher, Mac OS X 10.9 or higher

Glip Web
If you are running Glip in a web browser, you will need a recent version of Chrome, Firefox, Safari, or Internet Explorer version 9 or higher. 
 

RingCentral Digital Line

• High speed Cable, DSL or Fiber Optic Internet service
• 90 Kbps per digital line
• Desk phone or RingCentral Desktop app

For more information, go to RingCentral Network Requirements and Recommendations - Expanded version.
 

RingCentral Fax

For E-mail to Fax/FaxOut:
• Active email account

Faxing with a traditional fax machine:
• High speed Cable, DSL or Fiber Optic Internet service
• ATA (Analog Telephone Adapter) & Digital Line
• Fax Machine

 
Ranking
Was this information helpful?
Yes
No
Somewhat

Tell us why and what can we do to improve this information